Subject: Re: bug#10458: 24.0.92; ! in dired on a file starting with a hyphen

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Feb 2022 16:07:18 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sun, 20 Feb 2022 14:50:36 +0100
> Cc: [email-masked], [email-masked]
> 
> But adding ./ to file names that start with - should be safe, I think?

It changes semantics.  The list of file names passed to a command
doesn't necessarily mean "open each file and process it", it could
mean something else, like "make a list of files".  So I don't think we
should do that.